random orange in xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js | false == true

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
10 years ago
7 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows NT
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [fixed-in-places], )

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1255627046.1255629337.22160.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/10/15 10:17:26

This log has two failure-lines, though I think the first one is just a "something failed in this test" notification, and the second is the actual failure.

{
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_prefs.js | test failed (with xpcshell return code: 0), see following log:
[snip]
TEST 5: restore from default bookmarks.html if restore_default_bookmarks is true.
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js | [anonymous : 172] -1 == -1
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js | false == true - See following stack:
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-unittest-everythingelse\build\xpcshell\head.js :: do_throw :: line 197
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-unittest-everythingelse\build\xpcshell\head.js :: do_check_eq :: line 227
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-unittest-everythingelse\build\xpcshell\head.js :: do_check_true :: line 239
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: anonymous :: line 180
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: next_test :: line 233
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: anonymous :: line 163
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: next_test :: line 233
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: anonymous :: line 137
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: next_test :: line 233
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: anonymous :: line 111
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: next_test :: line 233
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: anonymous :: line 87
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: next_test :: line 233
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js :: run_test :: line 245
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-unittest-everythingelse\build\xpcshell\head.js :: _execute_test :: line 125
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test
}

(Note: I originally mistakenly posted this failure on bug 510219)
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1255726098.1255728474.31609.gz

WINNT 5.2 mozilla-central test everythingelse [testfailed] Started 13:48, finished 14:28
slightly different from Bug 518084
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257541442.1257547024.1960.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/06 13:04:02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257567570.1257571674.30657.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/06 20:19:30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257559572.1257563753.31234.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/06 18:06:12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257815859.1257821532.11670.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/09 17:17:39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257830788.1257836109.16111.gz#err1
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/09 21:26:28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257835155.1257839972.25916.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/09 22:39:15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257887229.1257892500.18405.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/10 13:07:09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258034597.1258039529.944.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/12 06:03:17
"s: moz2-win32-slave16"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258070062.1258077904.19636.gz#err8
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/12 15:54:22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258119658.1258125323.7599.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/13 05:40:58  
"s: moz2-win32-slave32"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258127273.1258133322.4767.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/13 07:47:53
"s: moz2-win32-slave36"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258136611.1258142521.15473.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/13 10:23:31
"s: moz2-win32-slave34"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258212890.1258218471.25395.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/14 07:34:50
"s: moz2-win32-slave41"
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv
Component: Places → Bookmarks & History
QA Contact: places → bookmarks
WINNT 5.2 mozilla-central debug test everythingelse [testfailed] Started 10:57, finished 13:05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259866679.1259874244.12397.gz&fulltext=1
WINNT 5.2 mozilla-central debug test everythingelse [testfailed] Started 12:06, finished 13:39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259870775.1259876302.2429.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260488011.1260495939.12442.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/10 15:33:31
s: win32-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260497114.1260504599.11215.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/10 18:05:14
s: win32-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260556294.1260563382.10836.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/11 10:31:34
s: win32-slave24
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_prefs.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js | false == true - See following stack:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260645161.1260651206.16453.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 11:12:41
s: win32-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260649562.1260660341.19871.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 12:26:02
s: win32-slave11
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_prefs.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js | false == true - See following stack:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260651034.1260662107.6998.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 12:50:34
s: win32-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260653198.1260662977.16817.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 13:26:38
s: win32-slave33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260655502.1260664377.32103.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 14:05:02
s: win32-slave41

And that's five in a row, so I'm getting the feeling someone broke it, rather than just the old random.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260658347.1260667084.29457.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 14:52:27
s: win32-slave16

Thanks to a very delayed result, actually two orange, one green, four orange.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260678005.1260683320.9050.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/12 20:20:05
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260739534.1260747737.1968.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/13 13:25:34
s: win32-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260739320.1260746416.20171.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/13 13:22:00
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260740808.1260748259.7745.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/13 13:46:48
s: win32-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260799730.1260805385.30771.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/14 06:08:50
s: win32-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260845590.1260852970.10965.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/14 18:53:10
s: win32-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260940316.1260945801.26273.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/15 21:11:56
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261038614.1261046195.28926.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/17 00:30:14
s: win32-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261072108.1261079366.25418.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/17 09:48:28
s: win32-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261096957.1261107063.10839.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/17 16:42:37
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261132027.1261138543.30632.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/18 02:27:07
s: win32-slave30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261122401.1261127840.8294.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/17 23:46:41
s: win32-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261152653.1261159668.19843.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/18 08:10:53
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261170315.1261179077.10019.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/18 13:05:15
s: win32-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261178142.1261185370.14583.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/18 15:15:42
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261247247.1261254346.1507.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/19 10:27:27
s: win32-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261403002.1261409634.6475.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/21 05:43:22
s: win32-slave40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261440712.1261447661.23088.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/21 16:11:52
s: win32-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261453843.1261458871.15947.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/21 19:50:43
s: win32-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261482843.1261488906.26098.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/22 03:54:03
s: win32-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261526508.1261535072.1504.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/22 16:01:48
s: win32-slave39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261529868.1261537984.984.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/22 16:57:48
s: win32-slave30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261536302.1261542912.23285.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/22 18:45:02
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261585618.1261592801.2339.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/23 08:26:58
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261588671.1261594018.16125.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/23 09:17:51
s: win32-slave31
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_prefs.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_prefs.js | false == true - See following stack:
nsPlacesImportExportService.cpp is passing to setItemTitle an invalid itemId for a bookmark... so looks like for some reason import fails, and nsPlacesImportExportService.cpp does not do a really awesome error checking, instead often it just ignore return value.
could be we try to access a file that is in use, most if not all failures are on win, that has long file locks.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261616523.1261624871.4144.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/23 17:02:03
s: win32-slave33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261622186.1261629836.26332.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/23 18:36:26
s: win32-slave31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261620266.1261628311.9563.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/23 18:04:26
s: win32-slave39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261621409.1261629440.21864.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/23 18:23:29
s: win32-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261715700.1261722640.12272.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/24 20:35:00
s: win32-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261805125.1261810711.3537.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/25 21:25:25
s: win32-slave40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262131705.1262137002.12260.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/29 16:08:25
s: win32-slave15
Whiteboard: [orange] → [orange][test_browserGlue_prefs.js disabled on central]
Whiteboard: [orange][test_browserGlue_prefs.js disabled on central] → [orange][test_browserGlue_prefs.js disabled on central][fixed-in-places]
test was cleaned up in central and lot of code changed, I assume this is WFM now.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange][test_browserGlue_prefs.js disabled on central][fixed-in-places] → [orange][fixed-in-places]
Whiteboard: [orange][fixed-in-places] → [fixed-in-places]
You need to log in before you can comment on or make changes to this bug.